Sys.getpid {base} | R Documentation

## Get the Process ID of the R Session

### Description

Get the process ID of the R Session. It is guaranteed by the operating system that two R sessions running simultaneously will have different IDs, but it is possible that R sessions running at different times will have the same ID.

### Usage

    Sys.getpid()

### Value

An integer, often between 1 and 32767 under Unix-alikes (but for example FreeBSD and macOS use IDs up to 99999) and a positive integer (up to 32767) under Windows.

### Examples

    Sys.getpid()

    ## Show files opened from this R process
    if(.Platform$OS.type == "unix") ## on Unix-alikes such Linux, macOS, FreeBSD:
       system(paste("lsof -p", Sys.getpid()))

[Package base version 3.4.2 Index]